package com.ruoyi.execution.produce.dispersed.enetity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 执行流程用户、节点关联脚本中间对象 bpm_execute_node_middle
 * 
 * @author hzh
 * @date 2023-11-01
 */
public class BpmExecuteNodeMiddle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String taskNodeKey;

    /** 虚拟角色编码 */
    @Excel(name = "虚拟角色编码")
    private String taskVirtuallyRole;

    /** 角色编码1，2，3 */
    @Excel(name = "角色编码1，2，3")
    private String taskRealRole;

    /** 执行用户编号1，2，3 */
    @Excel(name = "执行用户编号1，2，3")
    private String taskExecuteUserNo;

    /** 手动触发脚本编码1，2，3 */
    @Excel(name = "手动触发脚本编码1，2，3")
    private String taskArtificialScriptKey;

    /** 自动触发脚本编码1，2，3(自动触发的脚本需要根据执行节点表中的节点前后执行) */
    @Excel(name = "自动触发脚本编码1，2，3(自动触发的脚本需要根据执行节点表中的节点前后执行)")
    private String taskAutomaticScriptTriggerType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskNodeKey(String taskNodeKey) 
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey() 
    {
        return taskNodeKey;
    }
    public void setTaskVirtuallyRole(String taskVirtuallyRole) 
    {
        this.taskVirtuallyRole = taskVirtuallyRole;
    }

    public String getTaskVirtuallyRole() 
    {
        return taskVirtuallyRole;
    }
    public void setTaskRealRole(String taskRealRole) 
    {
        this.taskRealRole = taskRealRole;
    }

    public String getTaskRealRole() 
    {
        return taskRealRole;
    }
    public void setTaskExecuteUserNo(String taskExecuteUserNo) 
    {
        this.taskExecuteUserNo = taskExecuteUserNo;
    }

    public String getTaskExecuteUserNo() 
    {
        return taskExecuteUserNo;
    }
    public void setTaskArtificialScriptKey(String taskArtificialScriptKey) 
    {
        this.taskArtificialScriptKey = taskArtificialScriptKey;
    }

    public String getTaskArtificialScriptKey() 
    {
        return taskArtificialScriptKey;
    }
    public void setTaskAutomaticScriptTriggerType(String taskAutomaticScriptTriggerType) 
    {
        this.taskAutomaticScriptTriggerType = taskAutomaticScriptTriggerType;
    }

    public String getTaskAutomaticScriptTriggerType() 
    {
        return taskAutomaticScriptTriggerType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskNodeKey", getTaskNodeKey())
            .append("taskVirtuallyRole", getTaskVirtuallyRole())
            .append("taskRealRole", getTaskRealRole())
            .append("taskExecuteUserNo", getTaskExecuteUserNo())
            .append("taskArtificialScriptKey", getTaskArtificialScriptKey())
            .append("taskAutomaticScriptTriggerType", getTaskAutomaticScriptTriggerType())
            .toString();
    }
}
